
From: Ralf Baechle <ralf@linux-mips.org>

Ignore a few MIPS specific sections that otherwise would cause a large number
of false warnings in the kernel's scripts.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/reference_discarded.pl |    1 +
 25-akpm/scripts/reference_init.pl      |    1 +
 2 files changed, 2 insertions(+)

diff -puN scripts/reference_discarded.pl~mips-build-script-fixes scripts/reference_discarded.pl
--- 25/scripts/reference_discarded.pl~mips-build-script-fixes	2005-01-29 11:25:52.109947392 -0800
+++ 25-akpm/scripts/reference_discarded.pl	2005-01-29 11:25:52.114946632 -0800
@@ -90,6 +90,7 @@ foreach $object (keys(%object)) {
 		     $from !~ /\.data\.exit$/ &&
 		     $from !~ /\.exit\.data$/ &&
 		     $from !~ /\.altinstructions$/ &&
+		     $from !~ /\.pdr$/ &&
 		     $from !~ /\.debug_info$/ &&
 		     $from !~ /\.debug_aranges$/ &&
 		     $from !~ /\.debug_ranges$/ &&
diff -puN scripts/reference_init.pl~mips-build-script-fixes scripts/reference_init.pl
--- 25/scripts/reference_init.pl~mips-build-script-fixes	2005-01-29 11:25:52.111947088 -0800
+++ 25-akpm/scripts/reference_init.pl	2005-01-29 11:25:52.114946632 -0800
@@ -95,6 +95,7 @@ foreach $object (sort(keys(%object))) {
 		     $from !~ /\.text\.lock$/ &&
 		     $from !~ /\.pci_fixup_header$/ &&
 		     $from !~ /\.pci_fixup_final$/ &&
+		     $from !~ /\.pdr$/ &&
 		     $from !~ /\__param$/ &&
 		     $from !~ /\.altinstructions/ &&
 		     $from !~ /\.debug_/)) {
_
